"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = require("react");
var _ = require("underscore");
var icon_1 = require("./../display/icon");
var classNames_1 = require("../../utilities/classNames");
function Button(props) {
    function handleClick(e) {
        if (props.onClick && !props.pending) {
            props.onClick(e);
        }
    }
    var attrs = _.omit(props, "onClick", "leftIcon", "rightIcon", "className", "rounded", "context", "pending", "disabled");
    var classes = classNames_1.ClassHelpers.classNames("btn", props.className, {
        "rounded": props.rounded,
        "icon-button-left": props.leftIcon !== undefined,
        "icon-button-right": props.rightIcon !== undefined,
        "pending": props.pending
    });
    var leftIcon = props.leftIcon && React.createElement(icon_1.Icon, { className: "left-icon", icon: props.leftIcon });
    var rightIcon = props.rightIcon && React.createElement(icon_1.Icon, { className: "right-icon", icon: props.rightIcon });
    return (React.createElement("button", tslib_1.__assign({ disabled: props.pending || props.disabled, type: props.type || 'button', onClick: function (e) { return handleClick(e); } }, attrs, { className: classes }),
        leftIcon,
        props.children,
        rightIcon));
}
exports.Button = Button;
